Get UMA Thread
curl --request GET \
--url https://synthesis.trade/api/v1/polymarket/uma/thread/{condition_id}import requests
url = "https://synthesis.trade/api/v1/polymarket/uma/thread/{condition_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://synthesis.trade/api/v1/polymarket/uma/thread/{condition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"message": "**P2 Yes**\n\nPer Polymarket clarification.\n",
"sender": "voter123",
"senderPicture": "https://cdn.discordapp.com/avatars/634236418310275072/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"time": 1776798542,
"id": "1496226275998564001",
"replies": []
},
{
"message": "P2 Yes\n",
"sender": "disputebot",
"senderPicture": "https://cdn.discordapp.com/avatars/1044680389674938408/f1e2d3c4b5a6f7e8d9c0b1a2f3e4d5c6",
"time": 1776841429,
"id": "1496406157261144002",
"replies": []
}
]
}Polymarket
Get UMA Thread
Get the UMA Discord discussion thread for a Polymarket market by condition ID.
Get UMA Thread
Path Parameters
Polymarket condition ID.
Example:
"0x2708cbcb7ad265632ba575004d3668b775a450f7db9e13d4898b54802adbe9dc"
Response
200 - application/json
UMA thread
⌘I